{% extends 'base.html' %}

{% block content %}
{{post}}
<div class="some-align">
<h2>{{ posts.title }}</h2>
<p>by {{ posts.author }} on {{ posts.date_posted }}</p>
<p>{{ posts.content }}</p>

<h3>Comments</h3>
<ul>
    {% for comment in comments %}
   <li>
       <p>{{comment.content}} - <b> {{comment.author}}</b> on {{comment.date_posted}}</p>
   </li>
    {% endfor %}
</ul>

    <h3>Add a comment</h3>
    <form method="POST">
        {% csrf_token %}
        {{comment_form.as_p}}
        <button type="submit">Add comment</button>
    </form>

<a href="{%url 'home'%}">Back to list</a>

</div>




{% endblock %}